Skip to content

Validate a formula expression

POST
/api/v1/formulas/validate
curl --request POST \
--url https://app.avera.io/api/v1/formulas/validate \
--header 'Content-Type: application/json' \
--data '{ "expression": "example", "projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'

Validates the syntax of a formula expression and extracts dependencies

Media typeapplication/json
object
expression
required
string
projectId
required
string format: uuid

Example generated

{
"expression": "example",
"projectId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

OK

Media type*/*
object
valid
required
boolean
errors
required
Array<object>
object
type
required
string
message
required
string
line
integer | null format: int32
column
integer | null format: int32
dependencies
One of:
object
local
required
Array<object>
object
attributeId
required
string
accessPath
required
string
system
required
Array<string>
functions
required
Array<string>
estimatedComplexity
string | null
Allowed values: TRIVIAL LOW MEDIUM HIGH EXTREME
provisionalKind
string | null
Allowed values: EXACT MAINTAINED ON_DEMAND